org.firebirdsql.jdbc.metadata

## Class TypeMetadata.Builder

- java.lang.Object
- - org.firebirdsql.jdbc.metadata.TypeMetadata.Builder

Enclosing class:
  TypeMetadata

    public static class TypeMetadata.Builder
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Builder(FirebirdSupportInfo supportInfo)`

### Method Summary

All Methods Instance Methods Concrete Methods
`TypeMetadata` `build()`
`TypeMetadata.Builder` `withCharacterLength(java.lang.Integer characterLength)` Sets the character length (`RDB$CHARACTER_LENGTH`).
`TypeMetadata.Builder` `withCharacterSetId(java.lang.Integer characterSetId)` Sets the character set id (`RDB$CHARACTER_SET_ID`).
`TypeMetadata.Builder` `withFieldLength(java.lang.Integer fieldLength)` Sets the field length (`RDB$FIELD_LENGTH`).
`TypeMetadata.Builder` `withPrecision(java.lang.Integer precision)` Sets the field precision (`RDB$FIELD_PRECISION`).
`TypeMetadata.Builder` `withScale(java.lang.Integer scale)` Sets the field scale (`RDB$FIELD_SCALE`).
`TypeMetadata.Builder` `withSubType(java.lang.Integer subType)` Sets the field sub type code (`RDB$FIELD_SUB_TYPE`).
`TypeMetadata.Builder` `withType(int type)` Sets the field type code (`RDB$FIELD_TYPE`).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder(FirebirdSupportInfo supportInfo)

### Method Detail

#### build

    public TypeMetadata build()

#### withType

    public TypeMetadata.Builder withType(int type)

Sets the field type code (`RDB$FIELD_TYPE`).

Parameters:
  `type` - Field type code
Returns:
  this builder

#### withSubType

    public TypeMetadata.Builder withSubType(java.lang.Integer subType)

Sets the field sub type code (`RDB$FIELD_SUB_TYPE`).

Parameters:
  `subType` - Field sub type code
Returns:
  this builder

#### withPrecision

    public TypeMetadata.Builder withPrecision(java.lang.Integer precision)

Sets the field precision (`RDB$FIELD_PRECISION`).

Parameters:
  `precision` - Field precision
Returns:
  this builder

#### withScale

    public TypeMetadata.Builder withScale(java.lang.Integer scale)

Sets the field scale (`RDB$FIELD_SCALE`).

Parameters:
  `scale` - Field scale
Returns:
  this builder

#### withCharacterSetId

    public TypeMetadata.Builder withCharacterSetId(java.lang.Integer characterSetId)

Sets the character set id (`RDB$CHARACTER_SET_ID`).

Parameters:
  `characterSetId` - Character set id
Returns:
  this builder

#### withFieldLength

    public TypeMetadata.Builder withFieldLength(java.lang.Integer fieldLength)

Sets the field length (`RDB$FIELD_LENGTH`).

Parameters:
  `fieldLength` - Field length
Returns:
  this builder

#### withCharacterLength

    public TypeMetadata.Builder withCharacterLength(java.lang.Integer characterLength)

Sets the character length (`RDB$CHARACTER_LENGTH`).

Parameters:
  `characterLength` - Character length
Returns:
  this builder